콘텐츠로 이동
로그인 가입하기

레지덴셜 프록시 API

Residential Proxies 제품은 게이트웨이 사용자명을 통해 요청 단위로 설정되며, 이를 위한 계정 단위의 “관리” API는 존재하지 않습니다. 이 API가 제공하는 것은 사용자명에 넣을 수 있는 지역 선택자를 조회하는 방법(country, region, city, asn)으로, 이를 통해 도구가 실제로 사용 가능한 항목과 동기화된 상태를 유지할 수 있습니다.

모든 엔드포인트는 api_key 쿼리 매개변수로 인증합니다. 패널Account → API Keys에서 키를 생성하세요.

?api_key=YOUR_API_KEY
GET https://shifter.io/api/v1/residential/geo/countries

Residential Proxies 게이트웨이에서 country-<iso2> 타겟팅에 사용 가능한 모든 국가를 반환합니다.

ParameterInRequiredDescription
api_keyqueryyesYour API key

Example:

Terminal window
curl "https://shifter.io/api/v1/residential/geo/countries?api_key=YOUR_API_KEY"

Response:

[
{ "code": "us", "name": "United States" },
{ "code": "de", "name": "Germany" },
{ "code": "gb", "name": "United Kingdom" },
{ "code": "fr", "name": "France" }
]
GET https://shifter.io/api/v1/residential/geo/regions

지정된 국가 내에서 region-<slug> 타겟팅에 사용 가능한 지역(주/도)을 반환합니다.

ParameterInRequiredDescription
api_keyqueryyesYour API key
countryqueryyesISO 3166-1 alpha-2 country code, e.g. us

Example:

Terminal window
curl "https://shifter.io/api/v1/residential/geo/regions?country=us&api_key=YOUR_API_KEY"

Response:

[
{ "slug": "california", "name": "California" },
{ "slug": "new_york", "name": "New York" },
{ "slug": "texas", "name": "Texas" }
]
GET https://shifter.io/api/v1/residential/geo/cities

국가(및 선택적으로 지역) 내에서 city-<slug> 타겟팅에 사용 가능한 도시를 반환합니다.

ParameterInRequiredDescription
api_keyqueryyesYour API key
countryqueryyesISO 3166-1 alpha-2 country code
regionquerynoRegion slug to narrow results

Example:

Terminal window
curl "https://shifter.io/api/v1/residential/geo/cities?country=us&region=california&api_key=YOUR_API_KEY"

Response:

[
{ "slug": "los_angeles", "name": "Los Angeles" },
{ "slug": "san_francisco", "name": "San Francisco" },
{ "slug": "san_diego", "name": "San Diego" }
]
GET https://shifter.io/api/v1/residential/geo/asns

국가 내에서 asn-<num> 타겟팅에 사용 가능한 ASN을 반환합니다.

ParameterInRequiredDescription
api_keyqueryyesYour API key
countryqueryyesISO 3166-1 alpha-2 country code

Example:

Terminal window
curl "https://shifter.io/api/v1/residential/geo/asns?country=us&api_key=YOUR_API_KEY"

Response:

[
{ "asn": 7922, "name": "Comcast" },
{ "asn": 701, "name": "Verizon" },
{ "asn": 22773, "name": "Cox Communications" }
]